2017-08-19 02:20 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001585v3.4 Release (Cleanup)[All Projects] Taskspublic2016-12-28 00:19
Reporteropto 
Assigned Toopto 
PrioritynormalSeveritymajorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0001585: dynamic tasks are not always updated in projectdesigner
Descriptionthis does not relate to the other bug.

did a couple of tasks in projectdesigner. at the end, the dynamic task was no longer up to date - some action forgot to update it.

I think it happened when setting a dependency in projectdesigner
TagsNo tags attached.
Attached Files

-Relationships
related to 0001650resolvedopto Incorrect % complete calculations for dynamic tasks 
related to 0001649resolvedopto Incorrect % complete calculations for dynamic tasks 
+Relationships

-Notes

~0003571

caseydk (administrator)

Resolved in master development:
https://github.com/web2project/web2project/commit/399c89c1b659f9bddf1a9d6b829e52a4e6f6e3ec

~0003667

opto (manager)

Last edited: 2014-10-09 14:39

View 2 revisions

this bug still exists:

do the following:

all done in projectdesigner in this order:

create tasks
a b c d e f (standard start/end or set as you like)

e, f: set d as parent
d set as dynamic -> all ok

b c set a as parent
a set as dynamic: still all ok

now:
set d as child of c: problem
d looses start and end date/time, duration now 0
also, a not updated with task dates of the children of d (d e f should update a via the dates of d).


now go to addedit of d: does not update dynamics in d.
(in earlier times, parents never updated dynamics - is that still so?)

saving child of d upates d, this then also updates a.

I think when projectdesigner adds d as child, something goes wrong with its time calculation.


I hope this clarifies the problem

~0003755

opto (manager)

actually, no update of Dynamics works at this moment

~0003757

opto (manager)

this solves it in my opinioun: http://support.web2project.net/questions/2327/bugfix-for-dynamic-tasks-summed-hours-of-children.html

~0003781

opto (manager)

solved in 50794bd5a013dff82c4c53678e2667e5d0b77f1b but differently from forum post

~0003809

caseydk (administrator)

Changed these from closed to resolved.

As a practice, it's resolved once it's in the repository but not closed until it's merged onto master.
+Notes

-Issue History
Date Modified Username Field Change
2014-08-02 02:21 opto New Issue
2014-08-02 02:23 opto Description Updated View Revisions
2014-08-02 09:07 caseydk Relationship added related to 0001582
2014-08-02 22:23 caseydk Relationship deleted related to 0001582
2014-08-02 23:03 caseydk Note Added: 0003571
2014-08-02 23:03 caseydk Status new => resolved
2014-08-02 23:03 caseydk Fixed in Version => 3.2
2014-08-02 23:03 caseydk Resolution open => fixed
2014-08-02 23:03 caseydk Assigned To => caseydk
2014-09-02 13:23 caseydk Fixed in Version 3.2 => 4.0
2014-10-08 09:20 caseydk Project v3.2 Release => v3.3 Release (Current)
2014-10-08 09:21 caseydk Target Version => 3.3
2014-10-08 09:21 caseydk Fixed in Version 4.0 => 3.3
2014-10-08 09:22 caseydk Status resolved => closed
2014-10-09 14:33 opto Note Added: 0003667
2014-10-09 14:33 opto Status closed => feedback
2014-10-09 14:33 opto Resolution fixed => reopened
2014-10-09 14:39 opto Note Edited: 0003667 View Revisions
2015-08-01 10:55 opto Note Added: 0003755
2015-08-01 10:55 opto Status feedback => assigned
2015-08-11 12:48 opto Note Added: 0003757
2016-05-03 14:05 opto Note Added: 0003781
2016-05-03 14:06 opto Status assigned => resolved
2016-05-03 14:06 opto Resolution reopened => fixed
2016-05-03 14:06 opto Assigned To caseydk => opto
2016-05-03 14:07 opto Project v3.3 Release (Current) => v3.4 Release (Cleanup)
2016-05-03 14:07 opto Category Tasks => General
2016-05-19 15:07 opto Status resolved => closed
2016-06-05 02:41 opto Relationship added related to 0001650
2016-06-05 02:44 opto Relationship added related to 0001649
2016-12-27 23:32 caseydk Category General => Tasks
2016-12-28 00:19 caseydk Status closed => resolved
2016-12-28 00:19 caseydk Note Added: 0003809
+Issue History